Add User

This method allows you to add one or more users in Saner Server. Each user requires a unique login id, an email ID, name, password, a combination of upper-case and lower-case alphabets, numbers and at least one special character, organization name, email address, start date, expiry date, and role. If start date and/or end date are not provided, values will default to administrators’ default values.
Ensure that your password meets the below requirements.

  1. Password should have at least 8 characters.
  2. Password should not exceed 100 characters.
  3. Password should contain at least one digit.
  4. Password should have lowercase characters.
  5. Password should have uppercase characters.
  6. Password should have at least one non-alphanumeric character.

Please ensure that the start and end date values do not precede or exceed your account's start date or end date values(respectively).

The role of a user is either NORMAL – this user will have access to one or more accounts or ACCOUNTADMIN - which is an Account administrator who can manage multiple normal users and their access to accounts or ORGADMIN – which is an organization administrator who can manage multiple users and their access to accounts. It is also required to pass a parameter named ‘maxsubscriptions’ which indicates the total number of subscriptions given to that administrator. There is an additional role called ADMIN. This admin user can manage all the organizations and accounts.

Following is the hierarchy of User roles:

  • ADMIN
  • ORGADMIN
  • ACCOUNTADMIN
  • NORMAL
KeyMeaningMandatoryData Type
idUnique login ID for the user.Yesstring
passwordUser password (must meet required complexity rules).Yesstring
nameUser display/name (unique).Yesstring
UserGroupUser group name for categorization.Nostring
organizationOrganization name for the user.Yesstring
emailUser email ID.Yesstring
roleRole of the user (ADMIN / ORGADMIN / ACCOUNTADMIN / NORMAL).Yesstring
startdateUser start date (defaults to administrator values if not provided).Nostring
enddateUser expiry/end date (defaults to administrator values if not provided).Nostring
maxsubscriptionsTotal subscriptions allocated to the administrator user.Nostring
Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json